package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/5/6 16:08
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupQrcodeBaseInfoVO implements Serializable {

    @ApiModelProperty("群标识")
    private Long groupQrcodeId;

    @ApiModelProperty("群名称")
    private String groupName;

    @ApiModelProperty("二维码地址")
    private String qrcodeUrl;

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getQrcodeUrl() {
        return qrcodeUrl;
    }

    public void setQrcodeUrl(String qrcodeUrl) {
        this.qrcodeUrl = qrcodeUrl;
    }

    @Override
    public String toString() {
        return "GroupQrcodeBaseInfoVO{" +
                "groupQrcodeId=" + groupQrcodeId +
                ", groupName='" + groupName + '\'' +
                ", qrcodeUrl='" + qrcodeUrl + '\'' +
                '}';
    }
}
